include ../../makefile.def

ifeq ($(MSG),PVM)
    LDFLAGS		=  $(PVM_LIB)/libpvm3.a \
                   -lm
    CCCFLAGS = '-DMSG_PVM' '-UMSG_ZMQ'
    INCLUDES = -I$(PVM_INCLUDE)
endif

ifeq ($(MSG),ZMQ)
    LDFLAGS		=  -L$(ZMQ_LIB) -lzmq  \
                   -lm
    CCCFLAGS = '-DMSG_ZMQ' '-UMSG_PVM'
    INCLUDES = -I$(ZMQ_INCLUDE)
endif


EXEC = wall

DIRS := ./
TEMP := $(foreach DIR,$(DIRS),$(wildcard $(DIR)/*.cc))
FILES:= $(TEMP) $(foreach DIR,$(DIRS),$(wildcard $(DIR)/*.h))
SRCS := $(notdir $(TEMP) )
OBJS := $(SRCS:.cc=.o)


%.o : %.cc
	$(CCC) $(CCCFLAGS) $(INCLUDES) -c $< -o $@

$(EXEC): $(OBJS)
	$(CCC) $(CCCFLAGS) $(OBJS) $(LDFLAGS) -o $(EXEC)

clean: 	
	rm -f $(OBJS) core
wipe:
	rm -f $(OBJS) core $(EXEC)

depend:
	makedepend -- $(SRCS) -- $(INCLUDES) -- $(INCLMKDEP)
